Web lists-archives.com

Re: KF5 Conversion problems




On Saturday 10 March 2018, Christoph Feck wrote:
> On 10.03.2018 15:51, Robin Atwood wrote:
> > This is my first KDE4->KF5 conversion so brace for a lot of n00b
> > questions! To start I am getting compile failures because the wrong
> > include files are
> 
> > getting picked up:
> [...]
> 
> > /usr/include/kdialog.h:35:25: fatal error: QtGui/QDialog: No such file or
> > directory
> > 
> >  #include <QtGui/QDialog>
> 
> QDialog is in QWidgets, see
> https://wiki.qt.io/Transition_from_Qt_4.x_to_Qt5 But I suggest to remove
> the path from include statements.
> 
> If it still cannot find Qt includes, you also need find_package(Qt ...)
> calls in cmake, and the corresponding Qt5::Widgets dependency in
> target_link_libraries().

Yes, but the problem is the /usr/include/kdialog.h when it should be finding 
/usr/include/KF5/KDELibs4Support/kdialog.h. I have find_package(Qt5 Widgets... 
already.

Thanks
Robin
-- 









-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.